<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- responsive Meta tag- -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- External CSS -->
	<link rel="stylesheet" type="text/css" href="index.css">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

	<title>Bootstrap Grid System</title>
</head>

<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<h2>Two Columns</h2>
	<div class="container-fluid">
		<div>
			<h3>1:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div>
			</div>

			<!-- row with two columns divided in 1:2 ratio -->
			<h3>1:2 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">
					4 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
					8 Col
				</div>
			</div>

			<!-- row with two columns divided in 1:3 ratio -->
			<h3>1:3 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
					9 Col
				</div>
			</div>
		</div>
	</div>

	<h2>Three Columns</h2>
	<div class="container-fluid">
		<div>
			<!-- row with two columns divided in 1:1:1 ratio -->
			<h3>1:1:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">
					4 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
					4 Col
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">
					4 Col
				</div>
			</div>

			<!-- row with two columns divided in 1:2:1 ratio -->
			<h3>1:2:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div><div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
			</div>

			<!-- row with two columns divided in uneven ratio -->
			<h3>uneven Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
					7 Col
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-2">
					2 Col
				</div>
			</div>
		</div>
	</div>

	<h2>Automatic Sizing</h2>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
			</div>
		</div>
	</div>

	<h2>Mobile Responsive Columns</h2>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-4">
					reponsive
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-lg-8">
					responsive
				</div>
			</div>
		</div>
	</div>

	<h2>Multi-Column Layouts</h2>
	<div>
		<div class="container-fluid">
			<div class=" text-light row">
			  <div class="bg-primary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 1
			  </div>
			  <div class="bg-secondary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 2
			  </div>
			  <div class="bg-primary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 3
			  </div>
			  <div class="w-100"></div>
			  <div class="bg-primary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 4
			  </div>
			  <div class="bg-secondary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 5
			  </div>
			  <div class="bg-primary pt-3 pb-3 border border-dark col-12 col-sm-4">catalog 6
			  </div>
			</div>
		</div>
	</div>

	<h2>Offsetting Columns</h2>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
			  <div class=" bg-primary pt-3 pb-3 border border-dark offset-md-2 col-md-6">offset column
			  </div>
			  <div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-md-6">offset column
			  </div>
			  <div class="bg-primary pt-3 pb-3 border border-dark offset-md-4 col-md-6">offset column
			  </div>
			</div>
		</div>
	</div>

	<h2>Column Orders</h2>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
			    <div class="bg-secondary pt-3 pb-3 border border-dark col order-md-2">
			      right
			    </div>
			    <div class="bg-primary pt-3 pb-3 border border-dark col order-md-1">
			      left
			    </div>
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous">
	</script>
</body>
</html>